#include <bits/stdc++.h>

using namespace std;

int main()
{
	int k;
	cin >> k;
	int z[k]; //Zadate duzine nizova
	int rez[k]; //DA=0, NE=1
	for(int i = 0; i < k; i++)
	{
		rez[i]=0;
	}
	for(int i = 0; i < k; i++)
	{
		cin >> z[i];
		int poz[z[i]];
		int neg[z[i]];
		for(int j = 0; j < z[i]; j++)
		{
			cin >> poz[j];
		}
		for(int j = 0; j < z[i]; j++)
		{
			cin >> neg[j];
		}
		for(int j = 0; j < z[i]; j++)
		{
			for(int k = 0; k < z[i]; k++)
			{
				if(-poz[j]==neg[k])
				{
					if(j%2==k%2)
					{
						rez[i]=1;
						j = z[i]+2;
					}
				}
				if(poz[j]==neg[k])
				{
					if(j%2!=k%2)
					{
						rez[i]=1;
						j = z[i]+2;
					}
				}
			}
		}
	}
	for(int i = 0; i < k; i++)
	{
		if(rez[i]==0)
		{
			cout << "DA" << endl;
		}
		else
		{
			cout << "NE" << endl;
		}
	}
	return 0;
}